Skip to main content
POST
Create a prefilled link
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form. Refer to Getting the Form ID for detailed instructions.

Body

application/json
answers
object[]
required

Answers to fill in. The array can be empty. Question labels used inside values (options, rows, columns, products, address fields) must match the form exactly.

discount_code
string

Discount code to add to the link. It is changed to upper case. The form must have a published payment question and the code must be valid.

Example:

"SAVE10"

Response

OK - Link created

url
string

Public link of the form with the answers in the query string.

Example:

"https://spinkart.neetoform.com/feedback?email=oliver%40example.com&discount_code=SAVE10"

query_params
object

The query string parameters used in the link.

Example: